Investigate how many pages may be relevant for the page protection wish
Closed, ResolvedPublic

Description

Background:
The 2015 German-speaking community wishlist survey contains the following wish: T142209: Semi-protected pages that were fully protected should automatically return to previous state (#7)
A current hypothesis is, that the wish is only meant for pages with an indefinite protection status that change their protection level temporarily.
If that was so, how many pages would actually be relevant for the wish?

Task:
Please find out, how many existing pages (i.e. page-id != 0) on de-wiki currently have a protection status that is indefinite?
Please seperate by protection status.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 12:43 PM
Addshore claimed this task.
mysql:research@analytics-store.eqiad.wmnet [dewiki]> select pr_type, pr_level, count(*) from page_restrictions where pr_page != 0 and pr_expiry = 'infinity' GROUP BY pr_type, pr_level;
+---------+---------------------+----------+
| pr_type | pr_level            | count(*) |
+---------+---------------------+----------+
| edit    | autoconfirmed       |    22269 |
| edit    | editeditorprotected |      369 |
| edit    | sysop               |    93948 |
| move    | autoconfirmed       |    21868 |
| move    | editeditorprotected |      317 |
| move    | sysop               |    94566 |
| upload  | autoconfirmed       |        3 |
| upload  | sysop               |       10 |
+---------+---------------------+----------+
8 rows in set (0.61 sec)
Addshore moved this task from Incoming to Other on the TCB-Team board.Sep 19 2016, 6:52 PM
Tobi_WMDE_SW closed this task as Resolved.Sep 27 2016, 3:57 PM